package com.test.basd.onecleanmaster.notificationclean

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query

@Dao
interface NotfiDao {

    @Query("SELECT * FROM Noticationt")
    fun getAll(): LiveData<List<NotificationData>>

    @Insert
    fun insert(history: NotificationData)

    @Delete
    fun delete(it: NotificationData)

    @Query("DELETE FROM Noticationt")
    fun deleteAll()
}